Mantis upgrade 1.1.1 to 2.16

Get help from other users here.

Moderators: Contributor, Developer

Post Reply
girtsb
Posts: 2
Joined: Aug 08, 2018 7:55 am

Mantis upgrade 1.1.1 to 2.16

Post by girtsb » Aug 08, 2018 8:19 am

Hello!

I need to upgrade our very old version from 1.1.1 to 2.16 (older ones are good too)

I did everything in documentation states i needed to do, but cant get rid of this one error.

So first of all. Im using the newest MySQL server (8.0 smth) on Windows Server 2016.
Then IIS web server that is on Windows Server 2008 R2

As our application cant run on newest PHP, Im using 5.5.38 version.

1. I put mantis 2.16 version files and then old cofig_inc.php in configuration map.
2. Import the .sql dump of the production DB into new MySQL server.
3. Run from that 2.16 version folder admin/install.php on web. Everything checks out.
4. installing ends with this error:
a. "Database query failed. Error received from database was #1054: Unknown column 'priority' in 'field list' for the query: SELECT basename, priority, protected FROM mantis_plugin_table WHERE enabled=? ORDER BY priority DESC."

So i created empty scheme and installed it on that base as clean mantis installation. everything was ok. But what interests me is that installation has mantis_plugin_table with all the columns it needs, but the scheme on which is DB dump it doesnt create it. Install.php creates mantis_plugin_table, but only with basename and enabled columns. As i read install.php file it should add "protected" and "priority" too, but it doesn't. Ok fine i remove that table and create it as from the "fresh installation" scheme. But still the error shows up. I have searched forums on every possible thing and nothing has helped. And yes i tried to upgrade to 1.3 or 2.15 and same thing happened. I don't get why it cant query sql showing it lacks those columns, but in scheme they are there.

Can anyone give me ideas what to do?

Mophilly
Posts: 40
Joined: Feb 24, 2005 6:47 pm
Location: California
Contact:

Re: Mantis upgrade 1.1.1 to 2.16

Post by Mophilly » Aug 08, 2018 12:30 pm

I suggest that you submit a bug ticket on the #1054: Unknown column 'priority' in 'field list' error message.

As one who is also in the midst of an update, and dealing with a host of problems, I would be grateful for guides to the code segments you have reviewed. I would like to dig into that as well.

Thanks.

girtsb
Posts: 2
Joined: Aug 08, 2018 7:55 am

Re: Mantis upgrade 1.1.1 to 2.16

Post by girtsb » Aug 09, 2018 1:38 am

Okey so first of all, I had trouble with $g_crypto_master_salt which didn't take any value I put in from random string generator. In forum I found someone else and edited it slightly and it worked.

Secondly in config file I needed to change mysql to mysqli as connection type. I don't think there was much more to it, except fiddling with PHP versions a bit and understanding in general how the installation process works. My mind doesn't work much after all this heat and going at this problem for 3rd day now :oops: So if i remember something i will add it in this post + add link to ticket I will make.

A good topic to look for was this one: https://mantisbt.org/forums/viewtopic.php?t=19232

Link to ticket: https://www.mantisbt.org/bugs/view.php?id=24658

Mophilly
Posts: 40
Joined: Feb 24, 2005 6:47 pm
Location: California
Contact:

Re: Mantis upgrade 1.1.1 to 2.16

Post by Mophilly » Aug 11, 2018 2:06 pm

Thanks for the info.

Post Reply